#ifndef UTILS_ENDIAN_H
#define UTILS_ENDIAN_H

#include <stdint.h>
#include <endian.h>
#include <string.h>

typedef uint8_t __u8;
typedef uint16_t __le16;
typedef uint32_t __le32;
typedef uint64_t __le64;

#define cpu_to_le16	htole16
#define cpu_to_le32	htole32
#define cpu_to_le64	htole64

#define le16_to_cpu	le16toh
#define le32_to_cpu	le32toh
#define le64_to_cpu	le64toh

#endif
